package stackjava.com.cdidemo.dao;

import javax.inject.Inject;
import javax.inject.Named;

import stackjava.com.cdidemo.qualifier.DB2;
import stackjava.com.cdidemo.qualifier.MySQL;

@Named("daoUtils")
public class DAOUtils {

	@Inject
	@MySQL
	private ConnectDatabase conn1;

	@Inject
	@DB2
	private ConnectDatabase conn2;

	public void sync() {
		conn1.connect();
		conn2.connect();
		System.out.println("synchronize database...");
	}

}
